summaryrefslogtreecommitdiffstats
path: root/source/a/infozip
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/infozip')
-rwxr-xr-xsource/a/infozip/infozip.SlackBuild5
-rw-r--r--source/a/infozip/unzip.git.archive.fix.diff15
2 files changed, 18 insertions, 2 deletions
diff --git a/source/a/infozip/infozip.SlackBuild b/source/a/infozip/infozip.SlackBuild
index 9205fca60..1fdd779b9 100755
--- a/source/a/infozip/infozip.SlackBuild
+++ b/source/a/infozip/infozip.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=6.0
ZIP=3.0
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,6 +67,7 @@ tar xvf $CWD/unzip$(echo $VERSION | tr -d .).tar.?z* || exit 1
cd unzip$(echo $VERSION | tr -d .)
zcat $CWD/unzip.use.system.libbz2.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/unzip.process.c.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/unzip.git.archive.fix.diff.gz | patch -p0 --verbose || exit 1
chown -R root:root .
mkdir -p $PKG/usr/doc/unzip-$VERSION
cp -a BUGS COPYING* Contents History.* INSTALL LICENSE README ToDo WHERE \
diff --git a/source/a/infozip/unzip.git.archive.fix.diff b/source/a/infozip/unzip.git.archive.fix.diff
new file mode 100644
index 000000000..6349a2c94
--- /dev/null
+++ b/source/a/infozip/unzip.git.archive.fix.diff
@@ -0,0 +1,15 @@
+--- process.c
++++ process.c
+@@ -1751,6 +1751,12 @@ int process_cdir_file_hdr(__G) /* ret
+ = (G.crec.general_purpose_bit_flag & (1 << 11)) == (1 << 11);
+ #endif
+
++#ifdef SYMLINKS
++ /* Initialize the symlink flag, may be set by the platform-specific
++ mapattr function. */
++ G.pInfo->symlink = 0;
++#endif
++
+ return PK_COOL;
+
+ } /* end function process_cdir_file_hdr() */